### Method

# GdkWayland WaylandSurface get_wl_surface

#### Declaration [src]

    wl_surface*
    gdk_wayland_surface_get_wl_surface (
      GdkSurface* surface
    )

#### Description [src]

Returns the Wayland `wl_surface` of a `GdkSurface`.

This method is not directly available to language bindings.

#### Return value

Type: `wl_surface*`

A Wayland `wl_surface`.

The returned data is owned by the instance.
The return value can be `NULL`.